/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { MDCLineRippleFoundation } from '@material/line-ripple/foundation';
import { AttributePart, Directive, DirectiveParameters, PartInfo } from 'lit-html/directive';
export interface LineRipple extends HTMLElement {
    lineRippleFoundation: MDCLineRippleFoundation;
}
export declare class LineRippleDirective extends Directive {
    private previousPart;
    protected foundation: MDCLineRippleFoundation | null;
    constructor(partInfo: PartInfo);
    /**
     * There is no PropertyPart in Lit 2 so far. For more info see:
     * https://github.com/lit/lit/issues/1863
     */
    update(part: AttributePart, _params: DirectiveParameters<this>): MDCLineRippleFoundation | null;
    render(): MDCLineRippleFoundation | null;
}
export declare const lineRipple: () => (part: import("lit-html").Part) => void;
